Page 1 of 1

Error during apt-get update

PostPosted: Sun Nov 29, 2015 3:04 pm
by Kpol
Hello,

I try to update today (Ubuntu server 14.x, Onlyoffice Version 8.6.0.24). All fine, but at the end I got this :
Code: Select all
W: Failed to fetch http://download.onlyoffice.com/repo/debian/dists/squeeze/main/i18n/Translation-en  Error reading from server. Remote end closed connection [IP: 204.246.164.137 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

Any ideas ?

Re: Error during apt-get update

PostPosted: Tue Dec 01, 2015 1:02 pm
by Dean
Please, change the record in the /etc/apt/sources.list to the following one

Code: Select all
deb http://static.teamlab.com.s3.amazonaws.com/repo/debian squeeze main

Re: Error during apt-get update

PostPosted: Thu Dec 03, 2015 8:13 am
by Kpol
Ok, got it. Thanks.
Ps : Please could u update also your docs. Ex : here -- > http://helpcenter.onlyoffice.com/server ... ation.aspx

Add Document Server repository: using any available text editor (e.g. nano) add the following record to the /etc/apt/sources.list file:
deb http://download.onlyoffice.com/repo/debian squeeze main


Update : Sorry, but I am keeping see this
Code: Select all
Ign http://static.teamlab.com.s3.amazonaws.com squeeze/main Translation-en_US
Err http://static.teamlab.com.s3.amazonaws.com squeeze/main Translation-en
  Error reading from server. Remote end closed connection

? ...

More...
Code: Select all
W: Failed to fetch http://static.teamlab.com.s3.amazonaws.com/repo/debian/dists/squeeze/main/i18n/Translation-en_US  Error reading from server. Remote end closed connection
E: Some index files failed to download. They have been ignored, or old ones used instead.

Re: Error during apt-get update

PostPosted: Fri Dec 04, 2015 1:04 pm
by Dean
Looks like something is wrong locally.

Could you please empty the apt-list?

Code: Select all
sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update

Re: Error during apt-get update

PostPosted: Sat Dec 19, 2015 1:05 pm
by Kpol
Code: Select all
W: Conflicting distribution: http://download.mono-project.com wheezy/snapshots/3.12.0 InRelease (expected wheezy/snapshots but got wheezy)

Do you have an idea for this ? .... (Document server)

Re: Error during apt-get update

PostPosted: Mon Dec 21, 2015 7:29 am
by Dean
https://bugzilla.xamarin.com/show_bug.cgi?id=24902

Mono bug. Please check your sources.list and add the '/' at the end of the error line:

Code: Select all
deb http://download.mono-project.com/repo/debian wheezy/snapshots/3.12.0/. main

Re: Error during apt-get update

PostPosted: Mon Dec 21, 2015 7:47 am
by Kpol
i dont find it in
Code: Select all
/etc/apt/sources.list

.. Where is the file i should update source ?

Re: Error during apt-get update

PostPosted: Mon Dec 28, 2015 1:01 pm
by Dean
http://www.mono-project.com/docs/gettin ... all/linux/

The /etc/apt/sources.list should be updated according to the instruction above.

If the error persists, it may be required to remove 3.12 version of Mono.

Re: Error during apt-get update

PostPosted: Thu Mar 31, 2016 1:12 am
by Kpol
Code: Select all
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
echo "deb http://download.mono-project.com/repo/debian wheezy main" | sudo tee /etc/apt/sources.list.d/mono-xamarin.list

then
Code: Select all
sudo apt-get update